Summary: The GNU chess program.
Name: gnuchess
Version: 5.02
Release: 9
Copyright: GPL
Group: Amusements/Games
URL: ftp://ftp.gnu.org/pub/gnu/chess/
Source: ftp://ftp.gnu.org/pub/gnu/chess/chess-5.02.tar.bz2
Patch0: gnuchess-5.02-fsstnd.patch
Patch1: gnuchess-5.02-bookpath.patch
Patch2: gnuchess-5.02-segflt.patch
Buildroot: /var/tmp/chess-root
Provides: chessprogram


%description
The gnuchess package contains the GNU chess program.  By default,
GNUchess uses a curses text-based interface.  Alternatively, GNUchess
can be used in conjunction with the xboard user interface and the X
Window System for a graphical chessboard.

Install the gnuchess package if you would like to play chess on your
computer.  If you'd like to use a graphical interface with GNUchess, 
you'll also need to install the xboard package and the X Window System.

%prep
%setup -q -n chess-%{version}
%patch0 -p1 -b .fsp
%patch1 -p1 -b .bp
%patch2 -p1 -b .seg

%build
cd src
rm -f config.status config.cache
autoconf

%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/lib/games/gnuchess $RPM_BUILD_ROOT/usr/bin
install -m 755 src/gnuchess $RPM_BUILD_ROOT/usr/bin
install -m 644 src/book.dat $RPM_BUILD_ROOT/var/lib/games/gnuchess

cd $RPM_BUILD_ROOT
strip usr/bin/gnuchess

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(2755,root,games) /usr/bin/gnuchess
%dir /var/lib/games/gnuchess
%attr(664,root,games) /var/lib/games/gnuchess/book.dat
%doc doc/* COPYING 

%changelog
* Sat Jul 27 2002 Karsten Hopp <karsten@redhat.de>
- compress SRPM with bzip2 to save some space

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 30 2002 Karsten Hopp <karsten@redhat.de>
- remove obsolete Obsoletes: gnuchess

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 25 2002 Karsten Hopp <karsten@redhat.de>
- Fix buffer overflow

* Wed Jan 23 2002 Karsten Hopp <karsten@redhat.de> (5.02-4)
- remove ExcludeArch Alpha

* Wed Dec 19 2001 Karsten Hopp <karsten@redhat.de> 5.02-2
- fix #57687  (book.dat not writable)

* Wed Nov 28 2001 Karsten Hopp <karsten@redhat.de>
- Update gnuchess to 5.02
- added URL (#54612)
- ExcludeArch alpha until the compiler is fixed

* Wed Jul 07 2001 Karsten Hopp <karsten@redhat.de>
- dir /usr/lib/games/gnuchess owned by this package

* Sat Jul 07 2001 Karsten Hopp <karsten@redhat.de>
- add BuildRequires  (#45026)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuid in new environment

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new ncurses
- do NOT update to 5.00 because it sucks: The UI is gone, the print
  tools are gone, and the Makefile contains DOS-specific instructions.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- provide chessprogram, don't require xboard

* Fri Jul 29 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0pl80

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
